<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>DropWidget</name>
    <filename>classDropWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>summaryWidgetDropped</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>3360bd726cedffcdeb3bd54a064db65e</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DropWidget</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>550b434f5b79f665d07ad925b839406a</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>62874df55e3eca09890e3224af20d890</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>fd78ad2912dcf11ce74df25e7478022c</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Feed</name>
    <filename>structFeed.html</filename>
    <member kind="variable">
      <type>DCOPRef</type>
      <name>ref</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>79bf74e22aee23c2b61ea88c33233cdb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>title</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>c7ebd28964e376ffe9008396bfde99dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>url</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>97d6228a61666f165cec922af0d98a50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPixmap</type>
      <name>logo</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>5beba58ce3fc27c52c11516532713d28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ArticleMap</type>
      <name>map</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>3a15c513a4ba055e30a3d2eba214d1b0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>JournalPlugin</name>
    <filename>classJournalPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>JournalPlugin</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>cb426101c4da33134b0c0c02a8e1a67b</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~JournalPlugin</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>c016d04139477a8672dbb4e210e89280</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>d684df290a47c9fead4954e2f8550e06</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>338d23564e26a6021edd7b245870538a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>706c868fd6837ca13651432c15da5ad9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>895079e6b2dd3d9e2f441963ec73551e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>51e44aa99b14eec86256ec592619a4a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCalendarIface_stub *</type>
      <name>interface</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>136561547270227a45881585636d64f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>708e68c7bb8b807358a0ad0d2b1a66a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABUniqueAppHandler</name>
    <filename>classKABUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KABUniqueAppHandler</name>
      <anchorfile>classKABUniqueAppHandler.html</anchorfile>
      <anchor>966bf7a932f6532633d0e4e4b059273d</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKABUniqueAppHandler.html</anchorfile>
      <anchor>225fae581313cc027d2557c19cf79ccc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKABUniqueAppHandler.html</anchorfile>
      <anchor>ab767530dc0620101ad7476b59040d72</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressbookPlugin</name>
    <filename>classKAddressbookPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KAddressbookPlugin</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>7eb3d71b7daf77795e403468c48e4468</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAddressbookPlugin</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>d791ee177135bee400712db3df6b99c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>7060a9f9917979bf001242cc94f477cc</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>39af66efc2c364be177b0ed73d7c8f47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>c5d5221cd064aeaef2a0dd0b000d13b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>87ae63828c146fff8939dd4d19b95fe0</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>e6c5a5096c1992c9591150202f3cc8c1</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>213fe5b947d7d2745ecd6a5a3dfd592f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>c0145770e3ca4dd5d6dd87a5f4707b3b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>configUpdated</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>dd1747ddada3a5e50b492707f916a5ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KAddressBookIface_stub *</type>
      <name>interface</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>82d312fba02dce0ebc8dc4b47cb6db53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>79a93bdf4809bae97246d2258c826165</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmPlugin</name>
    <filename>classKarmPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>da3585b505be707283194cb42443c1bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KarmPlugin</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>05d69e1b8de566b747482291cf6ba39a</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KarmPlugin</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>fc5148b0b51fadf45b05f14a8dc8b48a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>60001275a73f756c1e5fe939badbd9cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>c3589af957b6f059074d13343a3d5d36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KarmDCOPIface_stub *</type>
      <name>mStub</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>48c55cfd5f06011df2a00a9bc8ffeae9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKMailSummary</name>
    <filename>classKCMKMailSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKMailSummary</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>a7b91425ef662e7df61c05d0c9978018</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>976ff51edbd64d907623fde8d0ec28b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>1010be594f6e9645497dcd40518ae390</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>73ab35d7df25e992385860131e77c771</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KcmKontact</name>
    <filename>classKcmKontact.html</filename>
    <member kind="function">
      <type></type>
      <name>KcmKontact</name>
      <anchorfile>classKcmKontact.html</anchorfile>
      <anchor>2d27ee1845dea95eabe8bf8eca73413a</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKcmKontact.html</anchorfile>
      <anchor>820ea10658cbaaef9160a3bbbe0a5c53</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKontactKNT</name>
    <filename>classKCMKontactKNT.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKontactKNT</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>2e145e9682348bd2a928d73e3989c73d</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>7b87f594c3dd0a2cd10220ef5336acc0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>92412ccac1f4baa9e0e42981f537973f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>318d1d7477ef8c3a1e84c54207f7fb37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>eec41187ec0df39f438d06e1c953e680</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKontactSummary</name>
    <filename>classKCMKontactSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKontactSummary</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>abcf565a3e4ad853214eba40cd17a467</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>c3efed0276e1ac86b60580a740cb0d55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>0bc47a8fff62cb9d09933fdae68b0d9d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>407d3047ccf1c2ffda47c0c00c65c3a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKOrgSummary</name>
    <filename>classKCMKOrgSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKOrgSummary</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>9bfbc18f4d773fcb3fe6f520a8755894</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>9053ce5560b0847581d3d177c34c4ec6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>9033314e30ec70e18802820e654c3a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>96e5ca3b37d7c42b87730f113fc45aa2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMSDSummary</name>
    <filename>classKCMSDSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMSDSummary</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>1e47fec73e5cb9e776ea035b6ace88c9</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>cdc3b97e344e5e8ad983702fbd203be2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>4515106071abbad866230659c26dad6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>4b1805802057b8d122ad5a4d697261b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>e181a8524220af93baa9a4acdb610885</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KitchenSyncPlugin</name>
    <filename>classKitchenSyncPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KitchenSyncPlugin</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>c167cfa2a9002f3c61107148998f93ec</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KitchenSyncPlugin</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>b710928fbed127a51f53b75899c78da7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>5f1867229fa6b2b99062b418c744e31b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>b7bc0b81e982ce928d4feaaaa175b24b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>97e24411d5ef0edcfb5c78dde31ad751</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMailPlugin</name>
    <filename>classKMailPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KMailPlugin</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>6ff36b4efef20abc087e6778231b93b3</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMailPlugin</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>e29fee3881a4fa462ec8b86968055929</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>1d062fd149491b557cd6fcd42f767a1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>32ecf69bd85823f611a2cd1b3ef6499d</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>b87da0107519d4b39719496acb438914</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>92ce17fdfd639f9e9907d3f28844e1aa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>f5dddc998855b5504dba4ad07c012596</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>7284fdc69b41428a06651fbe12e7ae9f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>fe6ae37dd68b3bbbf7db4255aa9a0164</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewMail</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>8cbb932a22df8d81df44c51f53e2103d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>9134967c3edd91c4bd770414ff66c2a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>openComposer</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>b1fe1ea61d96590fc52dfcf67c07d7cb</anchor>
      <arglist>(const KURL &amp;=KURL())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>openComposer</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>9de3545086bf89a0eccbf50ee47ecec9</anchor>
      <arglist>(const QString &amp;to)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>a75f1aa39514d4152ded999a70c6c4d9</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>82d9acd0035924488f5eedb04db59ba7</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMailUniqueAppHandler</name>
    <filename>classKMailUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KMailUniqueAppHandler</name>
      <anchorfile>classKMailUniqueAppHandler.html</anchorfile>
      <anchor>5e54162b2e9305b68a54b600ec1185cb</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKMailUniqueAppHandler.html</anchorfile>
      <anchor>e3e3145836451c09d3575542def015d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKMailUniqueAppHandler.html</anchorfile>
      <anchor>4b69eb9aa167843e47022d696c484031</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNodePlugin</name>
    <filename>classKNodePlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KNodePlugin</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>5816446b78232cd37afaaa8d509f2989</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNodePlugin</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>65a86d789f5921dbfe931e7e77a9a43e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>a248129f902300f70b3f04f3ceca7251</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>e7169c9c24be82158692d920e72e4d30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>7cc035db80ea20b4e743927157ee2ab4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>8bb1b833f16201e352343b5c5d1b72a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPostArticle</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>61ee1b462e38a2a0a605e3d1c53332a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>a60c6a9174446828bb86da143af59cf1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNodeUniqueAppHandler</name>
    <filename>classKNodeUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KNodeUniqueAppHandler</name>
      <anchorfile>classKNodeUniqueAppHandler.html</anchorfile>
      <anchor>2350f0fd04930f43a4b6f154b2ab46f3</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKNodeUniqueAppHandler.html</anchorfile>
      <anchor>e3f060ee39317a870fb30585bef2ea3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKNodeUniqueAppHandler.html</anchorfile>
      <anchor>3afcea36a33cba13cf4b25121f19b51d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesPart</name>
    <filename>classKNotesPart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot">
      <type>QString</type>
      <name>newNote</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>5e5734266a99557f1be392d2faac6030</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>newNoteFromClipboard</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>646dcf5e4bf04f542280c2653978c600</anchor>
      <arglist>(const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotesPart</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>9f5f0981e7a05f5d9cea1dabdbae1e36</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotesPart</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>2d8f6b24311717850ba41cc3ebaced1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openFile</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>5586db1ea2453ef548753555652973db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killNote</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>935a168143afb82334e7501a6e0b34fd</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killNote</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>f76dd1fb70f63ff6c21c0f82d785185e</anchor>
      <arglist>(const QString &amp;id, bool force)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>b2907a90e52b95554f690d0435569a6e</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>fdd8f1642472f20a2acc881f0d0123ff</anchor>
      <arglist>(const QString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>221e26d45b1494004e2fb49882a1641b</anchor>
      <arglist>(const QString &amp;id, const QString &amp;newName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>12b0825c316b332e8fe4c1713a2e0683</anchor>
      <arglist>(const QString &amp;id, const QString &amp;newText)</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>notes</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>63b3f10b3a92b12728be65ee57466a2d</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesPlugin</name>
    <filename>classKNotesPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KNotesPlugin</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>52159823b24c6980d83dc5f5a9f41714</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotesPlugin</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>feb8762bc705b5176aedc3b0f40fb3c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>10692d43eb7c11f2d4418c0a265ccb98</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>2fa360979614bc54ba2cd8b6476df679</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>4bcaf5e7a33326f636f3349a498b22b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>5cbc39685766121f6cc15bf0f7522818</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesSummaryWidget</name>
    <filename>classKNotesSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <member kind="function">
      <type></type>
      <name>KNotesSummaryWidget</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>0bafff32184108d08f396acdcfd2fd86</anchor>
      <arglist>(Kontact::Plugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>2bbf54a29bba69a80bcf0ae472231ee0</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>urlClicked</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>8b3863ea78375b37da6f783620488843</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateView</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>ad9f93d7f5240dabd396ffe733b0dd2d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addNote</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>47b2011acb8974ceaaf51ed00b423da6</anchor>
      <arglist>(KCal::Journal *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>removeNote</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>352dc12228dbd6508c397088c840a8ad</anchor>
      <arglist>(KCal::Journal *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>1a51aaca2f03cf40d7a7af531424f931</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteTip</name>
    <filename>classKNoteTip.html</filename>
    <member kind="function">
      <type></type>
      <name>KNoteTip</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>e00bd388e4e32fc1e272e596a3fe589f</anchor>
      <arglist>(KIconView *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNoteTip</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>ec55a0f09c54a66cae6239f6879ad797</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNote</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>d40479ad54353c9fb9ee8b9ebbbe70fe</anchor>
      <arglist>(KNotesIconViewItem *item)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>2dabf72c1c809840eb101b08e2499ed5</anchor>
      <arglist>(QObject *, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>timerEvent</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>f9b2152af0ccf773a6620979a629d547</anchor>
      <arglist>(QTimerEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>b9700cbb975311824ef8be4b32a5c108</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrganizerPlugin</name>
    <filename>classKOrganizerPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KOrganizerPlugin</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>c615350954eb274f2b6989ebb939f28a</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOrganizerPlugin</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>21f39ec721151a50cd9f4644e84c4fc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>830863f3d6396e40b7ad058607b3a915</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>2237d8707db7b52c520ed1fa3fdead56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>8c4473f630a63ad4c6e9746d9669f274</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>c2d215b6776fa77f074077a40a601019</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>91477bbf3b36bd959e542bf008f30123</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>b007b618ef3ee50e7d2161b0c8dca1f3</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>2a7a6277c0d76a5e274a47c2977a848f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>27ab8adbe6ccc5513540a57a1c1e4221</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>bd7b2425c914e60ce462916d6541614b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCalendarIface_stub *</type>
      <name>interface</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>b520f42832c320545004fbd1082acd7f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>629d0462a96e17961023b489f68c3b27</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrganizerUniqueAppHandler</name>
    <filename>classKOrganizerUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KOrganizerUniqueAppHandler</name>
      <anchorfile>classKOrganizerUniqueAppHandler.html</anchorfile>
      <anchor>4bbc83dc93469efa0e99423ecd509862</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKOrganizerUniqueAppHandler.html</anchorfile>
      <anchor>3d2a856be8ae58583d551ff0c6f97e1f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKOrganizerUniqueAppHandler.html</anchorfile>
      <anchor>ba4aa889e1bb99aa1e5b402f77385c16</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPilotPlugin</name>
    <filename>classKPilotPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KPilotPlugin</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>8e87be570bf82e1e19eb729a8046343f</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>0e15b6d92e38e080294f2ea3c2b92b5d</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showInSideBar</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>7b1dc884af0de605196878cf08190a4e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>4fb9b9241c6e8a123f6a87130aa5c3e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>1cafd9db464fee6daabc7d7381897b39</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MultiSynkPlugin</name>
    <filename>classMultiSynkPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>MultiSynkPlugin</name>
      <anchorfile>classMultiSynkPlugin.html</anchorfile>
      <anchor>b9c4f04488f39c27843e92a2a2f10162</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MultiSynkPlugin</name>
      <anchorfile>classMultiSynkPlugin.html</anchorfile>
      <anchor>b4dfa1b3c4734285c89b72adf38b0e95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classMultiSynkPlugin.html</anchorfile>
      <anchor>936d2aa42933d67eddc22aae631cfcc4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classMultiSynkPlugin.html</anchorfile>
      <anchor>fb0e08d17ca6ef5cf1e53ba35822c411</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NewsEditDialog</name>
    <filename>classNewsEditDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>NewsEditDialog</name>
      <anchorfile>classNewsEditDialog.html</anchorfile>
      <anchor>d8e703dd57d9895c6f51e38db14b5177</anchor>
      <arglist>(const QString &amp;, const QString &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classNewsEditDialog.html</anchorfile>
      <anchor>3ba8e00155de2435b1ea6ec5522bac77</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classNewsEditDialog.html</anchorfile>
      <anchor>55054699d3d596f35ef1c748f138cecd</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NewsSourceData</name>
    <filename>classNewsSourceData.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; NewsSourceData &gt;</type>
      <name>List</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>145b3e9eca49d44027b1ad58676ca82c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Arts</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>e9d86eb9ee3174df751ce51f2e22938d2c9dc846a49f46a9179808c215b7c5d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Business</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>e9d86eb9ee3174df751ce51f2e22938d2be2318b4299421a577bc577e668820c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Computers</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>e9d86eb9ee3174df751ce51f2e22938dc9e0878db4649da2a008e8cb42244cf2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Misc</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>e9d86eb9ee3174df751ce51f2e22938db1554480cb49b6bf9f84e65bb241208a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Recreation</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>e9d86eb9ee3174df751ce51f2e22938de15afd9513355bdc50fa9887e6f9c4a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Society</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>e9d86eb9ee3174df751ce51f2e22938deb6c1e7059766f976672f01f1cbcf42b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Category</name>
      <anchor>e9d86eb9ee3174df751ce51f2e22938d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NewsSourceData</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>d37215ad86a7556e0871cacb4357d74e</anchor>
      <arglist>(const QString &amp;name=I18N_NOOP(&quot;Unknown&quot;), const QString &amp;url=QString::null, const QString &amp;icon=QString::null, const Category category=Computers)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>d173b0cd5afca8006e9367f338dd7cbe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>8f6a5622b0023ce7f20e9c1e2382cf72</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>27a451161de764412c6b65739f66b576</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Category</type>
      <name>category</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>7373c8ebae4ceb211c601d5b5fb385da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mName</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>f10837c9baa1019213200b9abdb58189</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mURL</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>bc9adfaeb000d53d27052956474cb9b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mIcon</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>cfec079ea2297344ad24f0925daa1b99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Category</type>
      <name>mCategory</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>c45caa9d83fb74b1896e5ddc0a1d41be</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NewsTickerPlugin</name>
    <filename>classNewsTickerPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>NewsTickerPlugin</name>
      <anchorfile>classNewsTickerPlugin.html</anchorfile>
      <anchor>a93b6768a05453c193aaa032891d38b5</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classNewsTickerPlugin.html</anchorfile>
      <anchor>6053933c8828bb137b5257c874074813</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classNewsTickerPlugin.html</anchorfile>
      <anchor>0614e7ba75e5e38b91a5482d0ce8bf48</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginSelection</name>
    <filename>classPluginSelection.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginSelection</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>dfcb13306a39bff2e562647a132717f9</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PluginSelection</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>49dae0fe6dc1de58013c0f719540ff11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>54ad78754a0421caf8c69ac076208ad1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>d3b4b53f532b721b3b5943541e670b76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>46e853dce1926ee6d5d75e584b655b61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QComboBox *</type>
      <name>comboBox</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>f6f479d37876209c5c7050a27bef513f</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginView</name>
    <filename>classPluginView.html</filename>
    <base>KListView</base>
    <member kind="function">
      <type></type>
      <name>PluginView</name>
      <anchorfile>classPluginView.html</anchorfile>
      <anchor>e549c957b393c4fc56abf4dd0e48272e</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PluginView</name>
      <anchorfile>classPluginView.html</anchorfile>
      <anchor>db39058a5108137ed5347791914f0f64</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SDSummaryWidget</name>
    <filename>classSDSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <member kind="function">
      <type></type>
      <name>SDSummaryWidget</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>f17ff5e1c01f620480ef22a8923f3fb9</anchor>
      <arglist>(Kontact::Plugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>a1b8fb96180dc63971d773ec7226202a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>configUpdated</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>6c6724c3daa2958b06f8f46487aa7e2b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>701b774cc5850d872b6630d4cb98efd7</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>b030569571646281d1aa620828b8b330</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SpecialdatesPlugin</name>
    <filename>classSpecialdatesPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>SpecialdatesPlugin</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>02b030c7193dc4b6d038d0d07ac1c27e</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SpecialdatesPlugin</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>fce131bdc2c945544c1dfe0f6421e897</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>17adbfdccb2604357dc10aba6a7afe46</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>cb4f663112e1472a934513eda324ccb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>b11417d42b599e7fd8f64f39dee808f6</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>a55c68ad3f9b1da85b98538b04c6576d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SummaryView</name>
    <filename>classSummaryView.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>SummaryView</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>389af03da2c5298b40ae36060cb85a27</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SummaryView</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>114dde1e50409214939be18151996690</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>9a449d9bf37742236ce711e6ad6ff811</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>a163ee6325983b46943ad32e5e26082f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>35e7d1a4df73e09c1c83fec3f8cd03d1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SummaryViewPart</name>
    <filename>classSummaryViewPart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTextChanged</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>edeb23be2782ee392e30d27aa96f4a93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotAdjustPalette</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>d31553f9d4eef7ea73345e68221b6dd5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>13b65e11bf75c3629d98e7a4e8b46dc1</anchor>
      <arglist>(const QDate &amp;newDate)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>textChanged</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>6eaa7a272c27389ab9d5d8bf8faa9cf0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryViewPart</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>4dfcc718cff48773935374775e8a1b53</anchor>
      <arglist>(Kontact::Core *core, const char *widgetName, const KAboutData *aboutData, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SummaryViewPart</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>8175860dd0c645fb724114a97857afad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotConfigure</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>693abc4e45c97b67c84f71fcb0a81662</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateSummaries</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>6dea7b1373ba959a6dee7e46f094bbb5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateWidgets</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>3696945a0dc7c3c1c454cddcf65bf7ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>summaryWidgetMoved</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>66649df924f753b29d6251389f5bf7bb</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>5330dc3850bf87f13f0d1e594d6718f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>5140e9f31fd30d679343b36f68c05661</anchor>
      <arglist>(KParts::PartActivateEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SummaryWidget</name>
    <filename>classSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>b2e4cdaa84f0a68a8af959f873628587</anchor>
      <arglist>(bool force)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>aba54fdb24409c763ac6035494e42d84</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>aba54fdb24409c763ac6035494e42d84</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>configChanged</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>12e768edb94fe62db5ef2c1d062ee644</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>receiveDaemonStatusDetails</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>785206e848847669196779b3fc57a253</anchor>
      <arglist>(QDateTime, QString, QStringList, QString, QString, QString, bool)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentUpdated</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>44ce8c7b914bddffd9515f7d52a2e012</anchor>
      <arglist>(DCOPRef)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentAdded</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>d7fb362282477d3fbd0d25fb3dbfeff1</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentRemoved</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>b84c84b3e27eef943640758435af8675</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentUpdateError</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>f94c3fca78daff86fc57945afe3931e7</anchor>
      <arglist>(DCOPRef ref, int errorCode)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>32887f1be3fa206bcc09fa3e610f9e11</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>stationRemoved</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>c5dfeb5fc97da70c04fde83e0bed64a2</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>b277cbd2770c741dfb59781909ab3d3b</anchor>
      <arglist>(Kontact::Plugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>49a2472bcbff72123808ca829752f671</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>d8002f7e1c704ef38c54970b10fde855</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>eaff21934c1843de52b2199e69da7cad</anchor>
      <arglist>(KOrganizerPlugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>eaf71a0aa3b77de12cde54a639d74b6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>49a2472bcbff72123808ca829752f671</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>d8002f7e1c704ef38c54970b10fde855</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>653d21f592503869592ebb4b96bc2648</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>49a2472bcbff72123808ca829752f671</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>d8002f7e1c704ef38c54970b10fde855</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>653d21f592503869592ebb4b96bc2648</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>49a2472bcbff72123808ca829752f671</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>d8002f7e1c704ef38c54970b10fde855</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>653d21f592503869592ebb4b96bc2648</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>d8002f7e1c704ef38c54970b10fde855</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>aba54fdb24409c763ac6035494e42d84</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_hidden</type>
      <name>__pad0__</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>16b0a5df6ce6251b2edb2fff2269742b</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateDocuments</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>fccd04c4167bf90cd30f87e666a44cb9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbMenu</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>063192e5cd50bf3a3009c0f606cc96a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>c327a8cedc91c476c8bd0b31e7dc1286</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>71866fedc7185f5483cbd5a30543a064</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>71866fedc7185f5483cbd5a30543a064</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initDocuments</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>4ac5f12a8f4735b3bcdc3cf61915f638</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateView</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>14a56c8263e8abe3b62883f79ff9d1e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>e144a219bb9970ad2e1387f876257e1a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>71866fedc7185f5483cbd5a30543a064</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TodoPlugin</name>
    <filename>classTodoPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>TodoPlugin</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>d606c28e2e9498b914d8fdae4475ebf6</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TodoPlugin</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>df71857428bac502f4d2e9a78d02b69c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>d55a02dcebc3972be72ec8aa1b847ca8</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>5c51a05084dca3b4a652eac738f3a60a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>cf376dcab4fe44f70c5fe67d0df0cc58</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>e7ef0e7ba0691bb05ff5f0c5df31a6f3</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>d61893cf464ea4ccfd412cbca1b93405</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>662c3589fae2048250aa2b3032749aee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>3134493d8916620b4101d3a77ec386a6</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>c3101d1fcd60b049b2cee732d79dc3f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCalendarIface_stub *</type>
      <name>interface</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>969e1851f1b3f3e44171ef123c5c2333</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>6a8df1762c498fda083f18b1c4a9a1aa</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TodoSummaryWidget</name>
    <filename>classTodoSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <member kind="slot">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>a2572af44c78f587614945ccd48ed688</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TodoSummaryWidget</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>07d9ac2c1060acf28f170ecb2d8cf4a9</anchor>
      <arglist>(TodoPlugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TodoSummaryWidget</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>b164eb54fd048e8bb03a4ddcdbfc724e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>4be7505c7615b7c73bdb37f920e42bf3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>693d839a9b51e1953031359aee41c832</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>12fe98af1f5dcc383f31ecaa5fda3fd3</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WeatherData</name>
    <filename>classWeatherData.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>f87cd08d1205de88fadd5defd53eb004</anchor>
      <arglist>(const QPixmap &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>icon</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>e8efaf99f8f4341a14e9dd5e79a4be26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>12435cb36e9ca873d31020b5504ae077</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>713a6216a258645fa15f48c27f72d970</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCover</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>396b047de9aef7a76e1fd5601053612e</anchor>
      <arglist>(const QStringList &amp;cover)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>cover</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>df5864c65f638fe5a3260ecd458c1ed3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>d587a3c78cae6e6320fd5ab7f2d322b8</anchor>
      <arglist>(const QString &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>date</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>6bb4675c2288a4af43d07216e3d7b4dd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemperature</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>00741c079d6fabd030916c8f35f37a4e</anchor>
      <arglist>(const QString &amp;temperature)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>temperature</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>26e7b690e3b8a7b7a844ea10f4843963</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWindSpeed</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>f53e843436a4a6c87d9f5f2a112728a6</anchor>
      <arglist>(const QString &amp;windSpeed)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>windSpeed</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>c2d40895c064d8c69754aaf96b6507c8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRelativeHumidity</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>c8617873f509ed4fc144debe66dfc96f</anchor>
      <arglist>(const QString &amp;relativeHumidity)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>relativeHumidity</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>63a5ac398c76d3fb5fe63a154e84562c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStationID</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>2d3b0e9b2de23e5833bdd6f8c8404d10</anchor>
      <arglist>(const QString &amp;station)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stationID</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>e31bdaddd01ff60fb246a7e13f1d155e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>8e6214eb4fbe9ccffd53b9537b69ea15</anchor>
      <arglist>(const WeatherData &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WeatherPlugin</name>
    <filename>classWeatherPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>WeatherPlugin</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>10abb4b7d6e5dcf7388da135d744b20a</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>3e8cd51e0e9ff811a7151e499704a15e</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>3ce1b3e76586c4156e5bf303ba454035</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>6f4d08c3a9944f04510ac4c8aeaaa7b5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Akregator</name>
    <filename>namespaceAkregator.html</filename>
    <class kind="class">Akregator::UniqueAppHandler</class>
    <class kind="class">Akregator::Plugin</class>
    <member kind="typedef">
      <type>KGenericFactory&lt; Akregator::Plugin, Kontact::Core &gt;</type>
      <name>PluginFactory</name>
      <anchorfile>namespaceAkregator.html</anchorfile>
      <anchor>80d3e73728c85b24fbc7d6a3f89f525d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>KParts::ReadOnlyPart</type>
      <name>MyBasePart</name>
      <anchorfile>namespaceAkregator.html</anchorfile>
      <anchor>b19f6f2f36294290d627dfe8b892acb6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>K_EXPORT_COMPONENT_FACTORY</name>
      <anchorfile>namespaceAkregator.html</anchorfile>
      <anchor>06d82ada5ad421df13dc32051286ab26</anchor>
      <arglist>(libkontact_akregator, PluginFactory(&quot;kontact_akregator&quot;)) Plugin</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::UniqueAppHandler</name>
    <filename>classAkregator_1_1UniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>UniqueAppHandler</name>
      <anchorfile>classAkregator_1_1UniqueAppHandler.html</anchorfile>
      <anchor>c507d0cb722e4e5f2223b52b44f56396</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classAkregator_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a4e25af7af35fec5b70342fea6c806a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classAkregator_1_1UniqueAppHandler.html</anchorfile>
      <anchor>b52a23f49913adcae01982666863761d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Plugin</name>
    <filename>classAkregator_1_1Plugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>804bdb40003f868c3033b921d5295a3a</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>51e1adb6f694c4c6c5e2dc02c7f62d58</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>AkregatorPartIface_stub *</type>
      <name>interface</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>c5e464984bbb89c7effced06f0b727f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>a268396de560ec3d7943bd0b59077a1f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>64fe86ddd2cbea40f54247a9ab316753</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>9f1270e651b4a7fc56ca878aaef77d4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>MyBasePart *</type>
      <name>createPart</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>8d7a676d5522ed0f16e3832658aac751</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>AkregatorPartIface_stub *</type>
      <name>m_stub</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>cfc348970bd86b651ca26a9232c234e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kontact::UniqueAppWatcher *</type>
      <name>m_uniqueAppWatcher</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>cf5488ac13def71ef16786da9e8b84ff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Kontact</name>
    <filename>namespaceKontact.html</filename>
    <class kind="class">Kontact::Core</class>
    <class kind="class">Kontact::Plugin</class>
    <class kind="class">Kontact::Summary</class>
    <class kind="class">Kontact::UniqueAppHandler</class>
    <class kind="class">Kontact::UniqueAppHandlerFactoryBase</class>
    <class kind="class">Kontact::UniqueAppHandlerFactory</class>
    <class kind="class">Kontact::UniqueAppWatcher</class>
    <class kind="class">Kontact::AboutDialog</class>
    <class kind="class">Kontact::EntryItem</class>
    <class kind="class">Kontact::EntryItemToolTip</class>
    <class kind="class">Kontact::Navigator</class>
    <class kind="class">Kontact::IconSidePane</class>
    <class kind="class">Kontact::MainWindow</class>
    <class kind="class">Kontact::SidePaneBase</class>
    <member kind="typedef">
      <type>QValueList&lt; Kontact::Plugin * &gt;</type>
      <name>PluginList</name>
      <anchorfile>namespaceKontact.html</anchorfile>
      <anchor>c5ec6d54c23ab229bf7fba4c6ef2fdd6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>IconViewMode</name>
      <anchor>294640a807d05501d8f8fd5a5178e0da</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Core</name>
    <filename>classKontact_1_1Core.html</filename>
    <base>KParts::MainWindow</base>
    <member kind="signal">
      <type>void</type>
      <name>dayChanged</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>c14eeb35decd02643feacb4db00de38e</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>5d7e779712ebfc26e511d617990cdc46</anchor>
      <arglist>(Kontact::Plugin *plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>2cfdc51984381f867067eda01305a46b</anchor>
      <arglist>(const QString &amp;plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; Kontact::Plugin * &gt;</type>
      <name>pluginList</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>86922419f7d4e945edc2540efd37abf0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>56e2a920c2e0ec766538e5560ff85f08</anchor>
      <arglist>(const char *libname)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>partLoaded</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>71052da764906e556997e1050aa6315d</anchor>
      <arglist>(Plugin *plugin, KParts::ReadOnlyPart *part)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Core</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>d2970ef26edb8d413bade553600c31b1</anchor>
      <arglist>(QWidget *parentWidget=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>3c5281a1eec314b5d28e37f1d1876067</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Plugin</name>
    <filename>classKontact_1_1Plugin.html</filename>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="slot">
      <type>void</type>
      <name>slotConfigUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>97c5b386356ab7145bafc13428d06399</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>9694e541d1e5b10ef8dcacfe1cdb5085</anchor>
      <arglist>(Core *core, QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>54c7c9b0b55c19194ed4a9dc4168351b</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>6b7817c698baf59f17df4aa645e39542</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>bdc8a65c0712f1dcfd8cae29f4392cd9</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>bcf677859461f440f35f3dddf97b468a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>41e1e93d2b92e6cf62a4966e0fd0bf1a</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ae640b9df152b514ec4c0e8d1e369966</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExecutableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a42b267b05855a33687af3b44fb557ec</anchor>
      <arglist>(const QString &amp;bin)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>executableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>e94f865f0156f94886fcdfc8dce2de29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartLibraryName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>f534bd6114634b3222db8bb54a8b9191</anchor>
      <arglist>(const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>b9fa096b66c5f168edcbb45b4d12e4e9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>1db12c027dab92bb37dd73b16f7556f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bringToForeground</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>e559f83671dbaf352d42480d845340dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>dc824305a622687fd2cb84384fcc99b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>4a635b76894d008d8fcc1775c1efd9aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>1f5d614c26fb5a210238c3d19c03aae2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>select</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>c7b9f70f7b0b445926df930d9645e614</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>configUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>390727b8048a18a83ef21526081e61d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>d2f6bcddfe035cb5887deef5d01d8a72</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>b0859419aae6ac875c98fc588e18d3b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>e1d2d8deeb0033958d1e2ab6faf41028</anchor>
      <arglist>(bool hasPart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>f44c45ae67dc82464e5f792f33f07483</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>5e1b8f7081942f7cee5df1b12070e091</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>weight</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>74d18be0a202daf34ae8701561f7dc38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertNewAction</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>98c7f98928e22fee42b27f15b75259b0</anchor>
      <arglist>(KAction *action)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KAction &gt; *</type>
      <name>newActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>05f1c206550aaab1db6dd7781304f05b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>dda2ad9bdccaa908297dea82eb2d4b27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>c6eccf506ff50251493c3903a84e6f91</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processDropEvent</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>97b7923349a8d61127da445e282cd5c5</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>7beb47ce4fc46dba676ae62714e34ef9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>26ab4bf95fbf403e161e1dd57f7dd8a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>loadPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>9fe691a0da60a2e32de65357e2b0104d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>390222a62c6636538b81e7473f3b77c6</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Summary</name>
    <filename>classKontact_1_1Summary.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>configChanged</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>142e1ca56d6fb922099e90c3e3fce555</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSummary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>98c1c55a8ad89c6af868cd079d3acf11</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>message</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>ffedd32787a8fd3fe7977708a2d729ef</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>summaryWidgetDropped</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>5c04f2df69c842ce641b898ed72d89e5</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Summary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>b31c36e2c18e87130da408ff280a7add</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Summary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>ebf355fd41ffd362cd26b51fdc661a91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>summaryHeight</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>5f46c539e199406058235ec8e433e31b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>createHeader</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>e3def65c5f7dae57faf1dc12ce3d48e6</anchor>
      <arglist>(QWidget *parent, const QPixmap &amp;icon, const QString &amp;heading)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>d978662515c3a0b70c2437ef350056a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>0e04e7fd9f51e23d4f92ff92160a1e57</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>008a1a8eb8fe58a1bc5773bf6aa82e73</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>79b5c7929168ca23a84f4ede6d0a8591</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>256f03a2e913dda4da34b7b951e670e2</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandler</name>
    <filename>classKontact_1_1UniqueAppHandler.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>9754c8eac8142a841ba5e9f211771ed7</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>439e1a66d789f65885b3981df7cae8dc</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>f2591269a0223e19a4baddc1ac8a29c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>4887ba8cb1587fb75dec7d0c2703671f</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactoryBase</name>
    <filename>classKontact_1_1UniqueAppHandlerFactoryBase.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactoryBase.html</anchorfile>
      <anchor>8c00498c441fb7ffea8c2f542388fc1d</anchor>
      <arglist>(Plugin *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactory</name>
    <filename>classKontact_1_1UniqueAppHandlerFactory.html</filename>
    <templarg>T</templarg>
    <base>Kontact::UniqueAppHandlerFactoryBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactory.html</anchorfile>
      <anchor>4b1dab97e956ee769dc98980fbd8c7e9</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppWatcher</name>
    <filename>classKontact_1_1UniqueAppWatcher.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppWatcher</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>6dc3acc56ffa85710166ab2aff21a4a4</anchor>
      <arglist>(UniqueAppHandlerFactoryBase *factory, Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~UniqueAppWatcher</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>216a0177c4a00ea2bc3e61cff9016f96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>fa6ac980484d77a60805029aea0b88cc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>unregisteredFromDCOP</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>637e8420521c0fc36209e20e0598ab21</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::AboutDialog</name>
    <filename>classKontact_1_1AboutDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>AboutDialog</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>140cce09475aa3e0f6b281ece69b120a</anchor>
      <arglist>(Kontact::Core *core, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAboutPlugin</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>517423b6099774ea979803a74195b312</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAboutData</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>7cdff5ed1de8953ea2bbebdb06e45bb7</anchor>
      <arglist>(const QString &amp;title, const QString &amp;icon, const KAboutData *about)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addLicenseText</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>a621272659f572cf9892d18913799bf4</anchor>
      <arglist>(const KAboutData *about)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>formatPerson</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>77e8f256b0915e9b79f26b18c08b5ea0</anchor>
      <arglist>(const QString &amp;name, const QString &amp;email)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItem</name>
    <filename>classKontact_1_1EntryItem.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItem</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>88db802cbc7145f157aeada1c2f8e709</anchor>
      <arglist>(Navigator *, Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~EntryItem</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>bf8fce7447b9abaccd101cacff2cb00a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kontact::Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>ac6193537611d5165806b98929d74a0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QPixmap *</type>
      <name>pixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>c27590b5778e967560fe1d40e8948ace</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Navigator *</type>
      <name>navigator</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>4da29807e2a189b93345dfe5bdded0ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHover</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>e990c6d23ec18926db743b38e0791bbb</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPaintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>71ca2fafed2197215d03c3d9ade36ff8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>paintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>e367cf04df47256c6f289e291f0f73d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>3d4b3665884b8331e89876457f02707f</anchor>
      <arglist>(const QListBox *) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>height</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>5673ad64d9eb144911f34a32d330d049</anchor>
      <arglist>(const QListBox *) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadPixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>bd77f45a112c46e62b4294a8a6ec0437</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paint</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>41310b44b111aea565181e9b3b9de8c0</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItemToolTip</name>
    <filename>classKontact_1_1EntryItemToolTip.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItemToolTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>2a83f37c67a85c8b328420a2c7784d46</anchor>
      <arglist>(QListBox *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>18910536e4ef40886142d91e3bdf542e</anchor>
      <arglist>(const QPoint &amp;p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Navigator</name>
    <filename>classKontact_1_1Navigator.html</filename>
    <base>KListBox</base>
    <member kind="signal">
      <type>void</type>
      <name>pluginActivated</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>17eb903ae8455f3ea312e67611b310b6</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Navigator</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ce52c0c6a43d6f467f6e7abd5f26f21b</anchor>
      <arglist>(SidePaneBase *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>2d282cd35363a3575c9bdce62fc11660</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>5343a6b8ee0abe1e9e4a1f3b37acf0f2</anchor>
      <arglist>(QValueList&lt; Kontact::Plugin * &gt; plugins)</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>3934b4816b717955e05ac4cfd5a4fff3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>highlightItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>e9fa66050e1e452f03690b87066e98f6</anchor>
      <arglist>(EntryItem *item)</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>viewMode</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>f846389d9834e6f4384657a4d7070dfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>sizeIntToEnum</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>014eb0066f246f9d6b9eb78c9561b90c</anchor>
      <arglist>(int size) const </arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; KAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>9c55645a8dae789e8e878c93d0b8e716</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showIcons</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>de57ec617242a2e89a15d7ac7cd8eaed</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showText</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>e1df73560ce146bb685fdd18becdaddb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotExecuted</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>bc186c2720d1e2aec1153457f5c25cbc</anchor>
      <arglist>(QListBoxItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOn</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a93fcc80ccc253e963a5f6d522d7ce51</anchor>
      <arglist>(QListBoxItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOff</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ecc71ac98c55754fb3d6adde45d46d06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowRMBMenu</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>404da5d5c4124fe99eb6249bf5204b74</anchor>
      <arglist>(QListBoxItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>shortCutSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>63f96c889a21254ad13e601e1a4b750b</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStopHighlight</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>c803c5f735d5bf8d07679c80a19205ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>b739c3a7bc1f7d6245a7722dbaeb399e</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragMoveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>3680a0c071caf8aa2cb7fb332785be17</anchor>
      <arglist>(QDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>852a07c70dd544c0f39e74db743c327a</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>23fc2116e83038ccbd37e38de654e6e8</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>enterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ccf430e210a61cccef58e42c447b9e66</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>leaveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>d48f3e4ca229c78135e1e08e6e1d85ad</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHoverItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>d49340e8185c404436b62f479694a6e3</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPaintActiveItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>3cd1db567dda981e6ae5685cf400856f</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::IconSidePane</name>
    <filename>classKontact_1_1IconSidePane.html</filename>
    <base>Kontact::SidePaneBase</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>577bcfa4769201d00582a7e444db3a52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>2e2fd386ddc07f0d32a6db69e983cda9</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>f7ed2cf7cfe72711cf41ab1815213cd7</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>const QPtrList&lt; KAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>22b4bdd718ea95b76fe393028c20ef17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IconSidePane</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>3d75d3ef43ea8dc1b89b855315ba5d1e</anchor>
      <arglist>(Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IconSidePane</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>c65f547a9f7b1f13a72e6d49f753572a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>indicateForegrunding</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>6c6009e1ab47a4dc98af2bcf297240ce</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::MainWindow</name>
    <filename>classKontact_1_1MainWindow.html</filename>
    <base>Kontact::Core</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>e99958ea6fd580d8e56067d41ec30572</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>1536e6f9e29cd3cc643055b405c9eccb</anchor>
      <arglist>(const QString &amp;pluginName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>d65e0ab66d3cad8656576a67c8164c24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>34c4b4207b46d11a4100c9b19f0e81bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MainWindow</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>e98d00a93bc118200eeef9f9bba1dba7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>startServiceFor</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>63caf0a4d61e0755dee7aba71284cac9</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint=QString::null, const QString &amp;preferences=QString::null, QString *error=0, QCString *dcopService=0, int flags=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PluginList</type>
      <name>pluginList</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>a9dd338e4f9a839c2ea60a99f111240b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActivePluginModule</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>250f4d26d4c198c1859466f67bc51b44</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>initObject</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>60dde863a3ba0b4a82309fb5f455e322</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>initGUI</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>fdf8f0dddcfc872576b732365b185db2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotActivePartChanged</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>2f77f89f219459db56b6402cc49c167c</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreferences</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>d3b2dcf2a4ba28e7c9ba46ea401af6b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewClicked</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>43bb9b5f5685037c66397f49cc057c8f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotQuit</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>52510cdfe73feae1027ea96f245bff52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowTip</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>1377345c8cb05b2db2e4ff2e8c0b522a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRequestFeature</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>2d4900c1a800215013e319bfd224373f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewToolbarConfig</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>85d213946ebd111ce056bf8d1307b453</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowIntroduction</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>e6025997b62b6445c77f31d0f00a2a91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showAboutDialog</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>63c95190fa305627c29ec601ed10a2f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowStatusMsg</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>09b103138d5b4403a277a30087ad0da6</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>activatePluginModule</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>79a6dfa198784c2cc33846a5c0230686</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOpenUrl</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>e14638562a03d927bbb9964d1c31747b</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initWidgets</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>fcf77332d90edc94daa4d7283c061a90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initAboutScreen</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>d2bcec4ce67cfb0a0c29f8fcb2128dbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadSettings</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>9bb1f3b7f6b5360abfd2dc01fc1c8930</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>bb30531afee763d0586ee6323fd332e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isPluginLoaded</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>4524d6db901af36270d44b00486f7d7d</anchor>
      <arglist>(const KPluginInfo *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Kontact::Plugin *</type>
      <name>pluginFromInfo</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>ce320f7dd92e6065a5bfdedd5a5d23f8</anchor>
      <arglist>(const KPluginInfo *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>d63ce417061edc862704eb68e7a7a2d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unloadPlugins</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>d91e679f1db40d7170fb9c2ecf85f36d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>removePlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>304291069fa83ee72991e7b0ec231e2d</anchor>
      <arglist>(const KPluginInfo *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>7537a4db0b2864195060052a27a2a593</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>partLoaded</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>ca34d890c173c6662e2d65273e240c56</anchor>
      <arglist>(Kontact::Plugin *plugin, KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupActions</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>2334d55084925506d781b8c2c5fed463</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showTip</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>b24e7daf69083c8d34524aaf0fc3389a</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>7b33febad78977e418b563c18192d726</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintAboutScreen</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>f1ae24fea13166c6b5d6b017e3155ea5</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QString</type>
      <name>introductionString</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>c3993c13152dd1e8c4f67e851e5108c9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::SidePaneBase</name>
    <filename>classKontact_1_1SidePaneBase.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>9a5f1015f1f04b7ff671a1c6b5816ea9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>74cda5cdd18e42672cb21afaa9f302c9</anchor>
      <arglist>(Kontact::Plugin *)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>2807acb52dea9c86fdf797cea89b15e6</anchor>
      <arglist>(const QString &amp;name)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>indicateForegrunding</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>c2c380ed04ceae7e667c2ec1ef2508c6</anchor>
      <arglist>(Kontact::Plugin *)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelected</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>0857e38fc686a10be123937e7c1d8eb5</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SidePaneBase</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>ba8aa6d48204bec85e758723638b4a0a</anchor>
      <arglist>(Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SidePaneBase</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>a2137acd3a061da1d432b2e58484eb69</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActionCollection</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>c36e987326eb757896dc9f450ab89384</anchor>
      <arglist>(KActionCollection *actionCollection)</arglist>
    </member>
    <member kind="function">
      <type>KActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>f0f79ad9d4e0a1d7817c7992fdf8c8e8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const QPtrList&lt; KAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>e725a824c1417c8038f9a02967eff283</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>8e18f504cf0e25acb3b8b47b12f68554</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
  </compound>
</tagfile>
